variables:
  IS_AUTO_GIT_TAG_QA_ENABLED: "yes"
  IS_AUTO_GIT_TAG_UAT_ENABLED: "yes"

.git_tag:
  image: registry.gitlab.com/mycf.sg/central-cicd/semver:1.0.0
  variables:
    # Allows us to fetch all tags/branches, while other stages don't have to fetch all the extra info
    GIT_DEPTH: ""
    GIT_FETCH_EXTRA_FLAGS: --tags

git tag qa:
  extends: .git_tag
  stage: cicd git tag qa
  script:
    - python3 /version-update/tag-qa.py
  rules:
    - if: $IS_AUTO_GIT_TAG_QA_ENABLED == "yes" && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

git tag uat:
  extends: .git_tag
  stage: cicd git tag uat
  script:
    - python3 /version-update/tag-uat.py
  rules:
    - if: $IS_AUTO_GIT_TAG_UAT_ENABLED == "yes" && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH